JoinExpression (Groovy 4.0.10)

Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class JoinExpression

- org.apache.groovy.ginq.dsl.expression.JoinExpression

- All Implemented Interfaces and Traits:
    DataSourceHolder

      public class JoinExpression
      extends DataSourceExpression
      implements DataSourceHolder

  Represents join expression

  Since:
    4.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `INNER_HASH_JOIN` |
    `static String` | `INNER_JOIN` |
    `static List<String>` | `JOIN_NAME_LIST` |
    `static String` | `LEFT_HASH_JOIN` |
    `static String` | `SMART_INNER_JOIN` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DataSourceExpression` | `aliasExpr, dataSourceExpr`
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JoinExpression(String joinName, Expression aliasExpr, Expression dataSourceExpr)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<R>` | `public R` | `accept(GinqAstVisitor<R> visitor)`
    `` | `public DataSourceExpression` | `getDataSourceExpression()`
    `` | `public String` | `getJoinName()`
    `` | `public OnExpression` | `getOnExpression()`
    `` | `public String` | `getText()`
    `` | `public boolean` | `isCrossJoin()`
    `` | `public boolean` | `isInnerHashJoin()`
    `` | `public boolean` | `isInnerJoin()`
    `` | `public static boolean` | `isJoinExpression(String methodName)`
    `` | `public boolean` | `isLeftHashJoin()`
    `` | `public boolean` | `isLeftJoin()`
    `` | `public boolean` | `isSmartInnerJoin()`
    `` | `public void` | `setDataSourceExpression(DataSourceExpression dataSourceExpression)`
    `` | `public void` | `setOnExpression(OnExpression onExpression)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DataSourceExpression` | `getAliasExpr, getDataSourceExpr, setDataSourceExpr`
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### public static final String INNER_HASH_JOIN

    - #### public static final String INNER_JOIN

    - #### public static final List<String> JOIN_NAME_LIST

    - #### public static final String LEFT_HASH_JOIN

    - #### public static final String SMART_INNER_JOIN

  - ### Constructor Detail

    - #### public JoinExpression(String joinName, Expression aliasExpr, Expression dataSourceExpr)

  - ### Method Detail

    - #### <R> @Override
      public R accept(GinqAstVisitor<R> visitor)

    - #### @Override
      public DataSourceExpression getDataSourceExpression()

    - #### public String getJoinName()

    - #### public OnExpression getOnExpression()

    - #### @Override
      public String getText()

    - #### public boolean isCrossJoin()

    - #### public boolean isInnerHashJoin()

    - #### public boolean isInnerJoin()

    - #### public static boolean isJoinExpression(String methodName)

    - #### public boolean isLeftHashJoin()

    - #### public boolean isLeftJoin()

    - #### public boolean isSmartInnerJoin()

    - #### @Override
      public void setDataSourceExpression(DataSourceExpression dataSourceExpression)

    - #### public void setOnExpression(OnExpression onExpression)

    - #### @Override
      public String toString()